Đến nội dung


Hình ảnh
- - - - -

Nhờ giúp đỡ


  • Please log in to reply
2 replies to this topic

#1 lenhatanh

lenhatanh

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 18 March 2014 - 09:01 PM

Mình có một đoạn code vẽ đường thẳng qua hai điểm sẽ được nhập trên màn hình:  

 

(defun C:Ve (/ d1 d2)

   (command "line" (setq d1 (getpoint "\nStart point... : ")))

   (command (setq d2 (getpoint "\nEnd point... : ")))

   (command "")

)

 

Mình muốn khi thực hiện lênh c:ve sẽ làm được như sau:

 - Sau khi pick điểm d1 trêm màn hình sẽ xuất hiện dây chun quay quanh điểm d1 như lệnh "line" hoặc Pline" của CAD để chọn tiếp điểm d2..

 - Có thể chọn "ortho" ON hoặc OFF để có thể chọn điểm d2 thẳng hàng (đứng hoặc ngang) so với điểm d1.

Nhờ các bạn chỉ giúp cách viết lại đoạn code trên nhé, xin cảm ơn trước.

 


  • -1

#2 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 18 March 2014 - 09:23 PM

1). Bạn post bài nhiều rồi mà còn vi phạm nội quy với 1 tiêu đề gọn lỏn "Nhờ giúp đỡ". Tiêu đề kiểu này rất khiến người đọc thiếu thiện cảm.

2). Sửa:

(command (setq d2 (getpoint "\nEnd point... : ")))

Thành:

(command (setq d2 (getpoint d1 "\nEnd point... : ")))

3). Giờ thì ORTHO vô tư.


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#3 lenhatanh

lenhatanh

    biết vẽ polygon

  • Members
  • PipPip
  • 75 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 19 March 2014 - 08:43 AM

Cám ơn bạn đã nhắc nhở và sửa giúp code, mình sẽ rút kinh nghiệm cho những lần sau.


  • 0